Bug 125132 - CRASH: closing Digital Signature dialog ( gen/gtk )
Summary: CRASH: closing Digital Signature dialog ( gen/gtk )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-05-06 10:11 UTC by Xisco Faulí
Modified: 2019-05-08 11:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-06 10:11:58 UTC
Steps to reproduce:
1. Open Writer with gen/gtk
2. Go to File - Digital Signature
3. Save the file
4. Close LibreOffice one the digital signature dialog is prompted

-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: ddea172792d13516ff7e0dd43f1f78b74ade8914
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-05-06 10:12:54 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=bb9481a489cc21b0695c9a7c3e9d4ffe1446f8a9

author	Caolán McNamara <caolanm@redhat.com>	2019-02-13 12:51:28 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-02-14 14:21:40 +0100
commit	bb9481a489cc21b0695c9a7c3e9d4ffe1446f8a9 (patch)
tree	7f0e19b0a38cba49ceae3d8d42ae066f5ce1c497
parent	3157a3a8332ad342fb2b44659123217fa3450168 (diff)
weld DigitalSignaturesDialog

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2019-05-07 09:35:07 UTC
.ui is missing its modal bit
Comment 3 Commit Notification 2019-05-07 11:08:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d25fef637897bdf9e680700451e9207ac6aa7cbe%5E%21

Resolves: tdf#125132 xml signatures dialog should be modal

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-05-08 11:04:15 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 299e34275574d4fa0d9b175231f5cfdbb49c4f4c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!